Package org.tmatesoft.svn.core

# Class SVNProperty

java.lang.Object
org.tmatesoft.svn.core.SVNProperty

public class SVNProperty extends Object
The SVNProperty class is a representation class for both versioned properties (user-managed svn specials) and for metaproperties (untweakable) supported by Subversion. This class holds string constants that are property names, and gives some useful methods to operate with properties (in particular).

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ABSENT`
An "svn:entry:absent" SVN untweakable metaproperty.
`static final String`
`ACTIVITY_URL`
An "svn:wc:ra_dav:activity-url" SVN untweakable metaproperty.
`static final SVNPropertyValue`
`BOOLEAN_PROPERTY_VALUE`
Default value for such properties as `EXECUTABLE`, `NEEDS_LOCK`, `SPECIAL`.
`static final String`
`CACHABLE_PROPS`
"cachable-props" SVN untweakable metaproperty.
`static final String`
`CHANGELIST`
An "svn:entry:changelist" SVN untweakable metaproperty.
`static final String`
`CHARSET`
`SVNKit` specific property denoting a charset.
`static final String`
`CHECKSUM`
An "svn:entry:checksum" SVN untweakable metaproperty.
`static final String`
`COMMITTED_DATE`
An "svn:entry:committed-date" SVN untweakable metaproperty.
`static final String`
`COMMITTED_REVISION`
An "svn:entry:committed-rev" SVN untweakable metaproperty.
`static final String`
`CONFLICT_NEW`
An "svn:entry:conflict-new" SVN untweakable metaproperty.
`static final String`
`CONFLICT_OLD`
An "svn:entry:conflict-old" SVN untweakable metaproperty.
`static final String`
`CONFLICT_WRK`
An "svn:entry:conflict-wrk" SVN untweakable metaproperty.
`static final String`
`COPIED`
An "svn:entry:copied" SVN untweakable metaproperty.
`static final String`
`COPYFROM_REVISION`
An "svn:entry:copyfrom-rev" SVN untweakable metaproperty.
`static final String`
`COPYFROM_URL`
An "svn:entry:copyfrom-url" SVN untweakable metaproperty.
`static final String`
`CORRUPTED`
An "svn:entry:corrupted" SVN untweakable metaproperty.
`static final String`
`DELETED`
An "svn:entry:deleted" SVN untweakable metaproperty.
`static final String`
`DEPTH`
An "svn:entry:depth" SVN untweakable metaproperty.
`static final byte[]`
`EOL_CR_BYTES`
CR (carriage return) EOL (end of line) byte array.
`static final byte[]`
`EOL_CRLF_BYTES`
CR (carriage return) and LF (line feed) EOL (end of line) bytes array.
`static final byte[]`
`EOL_LF_BYTES`
LF (line feed) EOL (end of line) byte array.
`static final String`
`EOL_STYLE`
An "svn:eol-style" SVN special property.
`static final String`
`EOL_STYLE_CR`
One of the four possible values of the `EOL_STYLE` property - "CR" (linefeed)
`static final String`
`EOL_STYLE_CRLF`
One of the four possible values of the `EOL_STYLE` property - "CRLF"
`static final String`
`EOL_STYLE_LF`
One of the four possible values of the `EOL_STYLE` property - "LF" (line feed)
`static final String`
`EOL_STYLE_NATIVE`
One of the four possible values of the `EOL_STYLE` property - "native"
`static final String`
`EXECUTABLE`
An "svn:executable" SVN special property.
`static final String`
`EXTERNALS`
An "svn:externals" SVN special property.
`static final String`
`FILE_EXTERNAL_PATH`
`static final String`
`FILE_EXTERNAL_PEG_REVISION`
`static final String`
`FILE_EXTERNAL_REVISION`
`static final String`
`HAS_PROP_MODS`
"has-prop-mods" SVN untweakable metaproperty.
`static final String`
`HAS_PROPS`
"has-props" SVN untweakable metaproperty.
`static final String`
`IGNORE`
An "svn:ignore" SVN special property.
`static final String`
`INCOMPLETE`
An "svn:entry:incomplete" SVN untweakable metaproperty.
`static final String`
`INHERITABLE_AUTO_PROPS`
`static final String`
`INHERITABLE_IGNORES`
`static final String`
`KEEP_LOCAL`
An "svn:entry:keep-local" SVN untweakable metaproperty.
`static final String`
`KEYWORDS`
An "svn:keywords" SVN special property.
`static final String`
`KIND`
An "svn:entry:kind" SVN untweakable metaproperty.
`static final String`
`KIND_DIR`
One of the two possible values of the `KIND` property - "dir"
`static final String`
`KIND_FILE`
One of the two possible values of the `KIND` property - "file"
`static final String`
`LAST_AUTHOR`
An "svn:entry:last-author" SVN untweakable metaproperty.
`static final String`
`LOCK_COMMENT`
An "svn:entry:lock-comment" SVN untweakable metaproperty.
`static final String`
`LOCK_CREATION_DATE`
An "svn:entry:lock-creation-date" SVN untweakable metaproperty.
`static final String`
`LOCK_OWNER`
An "svn:entry:lock-owner" SVN untweakable metaproperty.
`static final String`
`LOCK_TOKEN`
An "svn:entry:lock-token" SVN untweakable metaproperty.
`static final String`
`MERGE_INFO`
`static final String`
`MIME_TYPE`
An "svn:mime-type" SVN special property.
`static final String`
`NAME`
An "svn:entry:name" SVN untweakable metaproperty.
`static final String`
`NATIVE`
Default value for the `CHARSET` property denoting that the native charset should be used to encode a file during translation.
`static final String`
`NEEDS_LOCK`
An "svn:needs-lock" SVN special property.
`static final String`
`PRESENT_PROPS`
"present-props" SVN untweakable metaproperty.
`static final String`
`PROP_REJECT_FILE`
An "svn:entry:prop-reject-file" SVN untweakable metaproperty.
`static final String`
`PROP_TIME`
An "svn:entry:prop-time" SVN untweakable metaproperty.
`static final String`
`REPOS`
An "svn:entry:repos" SVN untweakable metaproperty.
`static final String`
`REVISION`
An "svn:entry:revision" SVN untweakable metaproperty.
`static final String`
`SCHEDULE`
An "svn:entry:schedule" SVN untweakable metaproperty.
`static final String`
`SCHEDULE_ADD`
One of the three possible values of the `SCHEDULE` property - "add"
`static final String`
`SCHEDULE_DELETE`
One of the three possible values of the `SCHEDULE` property - "delete"
`static final String`
`SCHEDULE_REPLACE`
One of the three possible values of the `SCHEDULE` property - "replace"
`static final String`
`SPECIAL`
An "svn:special" SVN special property.
`static final String`
`SVN_ENTRY_PREFIX`
An "svn:entry:" prefix.
`static final String`
`SVN_PREFIX`
An "svn:" prefix.
`static final String`
`SVN_SYNC_PREFIX`
The namespace for revision properties which are used in repository synching operations.
`static final String`
`SVN_WC_PREFIX`
An "svn:wc:" prefix.
`static final String`
`SVNKIT_ENTRY_PREFIX`
An "svnkit:entry:" prefix.
`static final String`
`SVNKIT_PREFIX`
SVNKit's own property namespace.
`static final String`
`SVNKIT_SHA1_CHECKSUM`
An "svnkit:entry:sha1-checksum" SVNKit untweakable metaproperty.
`static final String`
`TEXT_TIME`
An "svn:entry:text-time" SVN untweakable metaproperty.
`static final String`
`TREE_CONFLICT_DATA`
`static final String`
`TXN_CHECK_LOCKS`
A special property used in a commit transaction.
`static final String`
`TXN_CHECK_OUT_OF_DATENESS`
A special property used in a commit transaction.
`static final String`
`URL`
An "svn:entry:url" SVN untweakable metaproperty.
`static final String`
`UUID`
An "svn:entry:uuid" SVN untweakable metaproperty.
`static final String`
`WC_URL`
An "svn:wc:ra_dav:version-url" SVN untweakable metaproperty.
`static final String`
`WORKING_SIZE`
An "svn:entry:working-size" SVN untweakable metaproperty.
`static final long`
`WORKING_SIZE_UNKNOWN`
Default value of the `WORKING_SIZE` property.

## Constructor Summary

Constructors
Constructor
Description
`SVNProperty()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addTextMimeType(String textMimeType)`
Adds custom mime-type value that should be considered as text.
`static boolean`
`booleanValue(String text)`
Converts a string representation of a boolean value to boolean.
`static void`
`clearTextMimeTypes()`
Clears custom mime-types previously added.
`Set`
`getTextMimeTypes()`
Returns custom mime-types previously added.
`static SVNPropertyValue`
`getValueOfBooleanProperty(String propName)`
Returns the value for such boolean properties as "svn:executable", "svn:needs-lock" and "svn:special".
`static boolean`
`isBinaryMimeType(String mimeType)`
Says if the given MIME-type corresponds to a binary (non-textual) type.
`static boolean`
`isBooleanProperty(String propName)`
Checks whether the property is boolean.
`static boolean`
`isEntryProperty(String name)`
Says if the given property name starts with the `SVN_ENTRY_PREFIX` prefix.
`static boolean`
`isRegularProperty(String name)`
Checks if a property is regular.
`static boolean`
`isSVNKitProperty(String name)`
Says if the given property name starts with the `SVNKIT_PREFIX`.
`static boolean`
`isSVNProperty(String name)`
Says if the given property name starts with the `SVN_PREFIX` prefix or with the `SVNKIT_PREFIX`.
`static boolean`
`isTextMimeType(String mimeType)`
Says if the given MIME-type corresponds to a text type.
`static boolean`
`isUTF8(String charset)`
Says if the given charset is the name of UTF-8 encoding.
`static boolean`
`isWorkingCopyProperty(String name)`
Says if the given property name starts with the `SVN_WC_PREFIX` prefix.
`static long`
`longValue(String text)`
Converts a string representation of a numeric value to a long value.
`static boolean`
`mimeTypeIsBinary(String mimeType)`
`static String`
`shortPropertyName(String longName)`
Returns a short name for the given property name - that is a name without any prefixes.
`static String`
`toString(boolean b)`
Converts a boolean value to a string representation.
`static String`
`toString(long i)`
Converts a long value to a string representation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SVN_PREFIX

public static final String SVN_PREFIX
An "svn:" prefix.

See Also:
  - Constant Field Values

### SVNKIT_PREFIX

public static final String SVNKIT_PREFIX
SVNKit's own property namespace.

See Also:
  - Constant Field Values

### SVN_WC_PREFIX

public static final String SVN_WC_PREFIX
An "svn:wc:" prefix.

See Also:
  - Constant Field Values

### SVN_SYNC_PREFIX

public static final String SVN_SYNC_PREFIX
The namespace for revision properties which are used in repository synching operations.

See Also:
  - Constant Field Values

### TXN_CHECK_LOCKS

public static final String TXN_CHECK_LOCKS
A special property used in a commit transaction.

See Also:
  - Constant Field Values

### TXN_CHECK_OUT_OF_DATENESS

public static final String TXN_CHECK_OUT_OF_DATENESS
A special property used in a commit transaction.

See Also:
  - Constant Field Values

### SVN_ENTRY_PREFIX

public static final String SVN_ENTRY_PREFIX
An "svn:entry:" prefix.

See Also:
  - Constant Field Values

### SVNKIT_ENTRY_PREFIX

public static final String SVNKIT_ENTRY_PREFIX
An "svnkit:entry:" prefix.

See Also:
  - Constant Field Values

### EOL_STYLE

public static final String EOL_STYLE
An "svn:eol-style" SVN special property.

See Also:
  - Constant Field Values

### IGNORE

public static final String IGNORE
An "svn:ignore" SVN special property.

See Also:
  - Constant Field Values

### MIME_TYPE

public static final String MIME_TYPE
An "svn:mime-type" SVN special property.

See Also:
  - Constant Field Values

### KEYWORDS

public static final String KEYWORDS
An "svn:keywords" SVN special property.

See Also:
  - Constant Field Values

### EXECUTABLE

public static final String EXECUTABLE
An "svn:executable" SVN special property.

See Also:
  - Constant Field Values

### EXTERNALS

public static final String EXTERNALS
An "svn:externals" SVN special property.

See Also:
  - Constant Field Values

### SPECIAL

public static final String SPECIAL
An "svn:special" SVN special property.

See Also:
  - Constant Field Values

### MERGE_INFO

public static final String MERGE_INFO

Since:
  SVN 1.5
See Also:
  - Constant Field Values

### INHERITABLE_IGNORES

public static final String INHERITABLE_IGNORES

Since:
  SVN 1.8
See Also:
  - Constant Field Values

### INHERITABLE_AUTO_PROPS

public static final String INHERITABLE_AUTO_PROPS

Since:
  SVN 1.8
See Also:
  - Constant Field Values

### REVISION

public static final String REVISION
An "svn:entry:revision" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### COMMITTED_REVISION

public static final String COMMITTED_REVISION
An "svn:entry:committed-rev" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### COMMITTED_DATE

public static final String COMMITTED_DATE
An "svn:entry:committed-date" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### HAS_PROPS

public static final String HAS_PROPS
"has-props" SVN untweakable metaproperty.

Since:
  1.1, new in Subversion 1.4
See Also:
  - Constant Field Values

### HAS_PROP_MODS

public static final String HAS_PROP_MODS
"has-prop-mods" SVN untweakable metaproperty.

Since:
  1.1, new in Subversion 1.4
See Also:
  - Constant Field Values

### CACHABLE_PROPS

public static final String CACHABLE_PROPS
"cachable-props" SVN untweakable metaproperty.

Since:
  1.1, new in Subversion 1.4
See Also:
  - Constant Field Values

### PRESENT_PROPS

public static final String PRESENT_PROPS
"present-props" SVN untweakable metaproperty.

Since:
  1.1, new in Subversion 1.4
See Also:
  - Constant Field Values

### KEEP_LOCAL

public static final String KEEP_LOCAL
An "svn:entry:keep-local" SVN untweakable metaproperty.

Since:
  1.2.0, new in Subversion 1.5.0
See Also:
  - Constant Field Values

### CHANGELIST

public static final String CHANGELIST
An "svn:entry:changelist" SVN untweakable metaproperty.

Since:
  1.2.0, new in Subversion 1.5.0
See Also:
  - Constant Field Values

### WORKING_SIZE

public static final String WORKING_SIZE
An "svn:entry:working-size" SVN untweakable metaproperty.

Since:
  1.2.0, new in Subversion 1.5.0
See Also:
  - Constant Field Values

### DEPTH

public static final String DEPTH
An "svn:entry:depth" SVN untweakable metaproperty.

Since:
  1.2.0, new in Subversion 1.5.0
See Also:
  - Constant Field Values

### FILE_EXTERNAL_PATH

public static final String FILE_EXTERNAL_PATH

Since:
  1.3, new in Subversion 1.6
See Also:
  - Constant Field Values

### FILE_EXTERNAL_REVISION

public static final String FILE_EXTERNAL_REVISION

Since:
  1.3, new in Subversion 1.6
See Also:
  - Constant Field Values

### FILE_EXTERNAL_PEG_REVISION

public static final String FILE_EXTERNAL_PEG_REVISION

Since:
  1.3, new in Subversion 1.6
See Also:
  - Constant Field Values

### TREE_CONFLICT_DATA

public static final String TREE_CONFLICT_DATA

Since:
  1.3, new in Subversion 1.6
See Also:
  - Constant Field Values

### CHECKSUM

public static final String CHECKSUM
An "svn:entry:checksum" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### SVNKIT_SHA1_CHECKSUM

public static final String SVNKIT_SHA1_CHECKSUM
An "svnkit:entry:sha1-checksum" SVNKit untweakable metaproperty.

See Also:
  - Constant Field Values

### URL

public static final String URL
An "svn:entry:url" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### COPYFROM_URL

public static final String COPYFROM_URL
An "svn:entry:copyfrom-url" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### COPYFROM_REVISION

public static final String COPYFROM_REVISION
An "svn:entry:copyfrom-rev" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### SCHEDULE

public static final String SCHEDULE
An "svn:entry:schedule" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### COPIED

public static final String COPIED
An "svn:entry:copied" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### LAST_AUTHOR

public static final String LAST_AUTHOR
An "svn:entry:last-author" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### UUID

public static final String UUID
An "svn:entry:uuid" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### REPOS

public static final String REPOS
An "svn:entry:repos" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### PROP_TIME

public static final String PROP_TIME
An "svn:entry:prop-time" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### TEXT_TIME

public static final String TEXT_TIME
An "svn:entry:text-time" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### NAME

public static final String NAME
An "svn:entry:name" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### KIND

public static final String KIND
An "svn:entry:kind" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### CONFLICT_OLD

public static final String CONFLICT_OLD
An "svn:entry:conflict-old" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### CONFLICT_NEW

public static final String CONFLICT_NEW
An "svn:entry:conflict-new" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### CONFLICT_WRK

public static final String CONFLICT_WRK
An "svn:entry:conflict-wrk" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### PROP_REJECT_FILE

public static final String PROP_REJECT_FILE
An "svn:entry:prop-reject-file" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### DELETED

public static final String DELETED
An "svn:entry:deleted" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### ABSENT

public static final String ABSENT
An "svn:entry:absent" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### INCOMPLETE

public static final String INCOMPLETE
An "svn:entry:incomplete" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### CORRUPTED

public static final String CORRUPTED
An "svn:entry:corrupted" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### WC_URL

public static final String WC_URL
An "svn:wc:ra_dav:version-url" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### ACTIVITY_URL

public static final String ACTIVITY_URL
An "svn:wc:ra_dav:activity-url" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### LOCK_TOKEN

public static final String LOCK_TOKEN
An "svn:entry:lock-token" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### LOCK_COMMENT

public static final String LOCK_COMMENT
An "svn:entry:lock-comment" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### LOCK_OWNER

public static final String LOCK_OWNER
An "svn:entry:lock-owner" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### LOCK_CREATION_DATE

public static final String LOCK_CREATION_DATE
An "svn:entry:lock-creation-date" SVN untweakable metaproperty.

See Also:
  - Constant Field Values

### NEEDS_LOCK

public static final String NEEDS_LOCK
An "svn:needs-lock" SVN special property.

See Also:
  - Constant Field Values

### KIND_DIR

public static final String KIND_DIR
One of the two possible values of the `KIND` property - "dir"

See Also:
  - Constant Field Values

### KIND_FILE

public static final String KIND_FILE
One of the two possible values of the `KIND` property - "file"

See Also:
  - Constant Field Values

### EOL_STYLE_LF

public static final String EOL_STYLE_LF
One of the four possible values of the `EOL_STYLE` property - "LF" (line feed)

See Also:
  - Constant Field Values

### EOL_STYLE_CR

public static final String EOL_STYLE_CR
One of the four possible values of the `EOL_STYLE` property - "CR" (linefeed)

See Also:
  - Constant Field Values

### EOL_STYLE_CRLF

public static final String EOL_STYLE_CRLF
One of the four possible values of the `EOL_STYLE` property - "CRLF"

See Also:
  - Constant Field Values

### EOL_STYLE_NATIVE

public static final String EOL_STYLE_NATIVE
One of the four possible values of the `EOL_STYLE` property - "native"

See Also:
  - Constant Field Values

### EOL_LF_BYTES

public static final byte[] EOL_LF_BYTES
LF (line feed) EOL (end of line) byte array.

### EOL_CRLF_BYTES

public static final byte[] EOL_CRLF_BYTES
CR (carriage return) and LF (line feed) EOL (end of line) bytes array.

### EOL_CR_BYTES

public static final byte[] EOL_CR_BYTES
CR (carriage return) EOL (end of line) byte array.

### CHARSET

public static final String CHARSET
`SVNKit` specific property denoting a charset. A user may set this property on files if he would like to fix the charset of the file. Then when checking out, exporting, updating, etc. files with such properties set on them will be translated (encoded) using the charset value of this property. Note that to take advantage of this property a user must utilize a corresponging version of the `SVNKit` library supporting this property.

See Also:
  - Constant Field Values

### NATIVE

public static final String NATIVE
Default value for the `CHARSET` property denoting that the native charset should be used to encode a file during translation. The native charset name will be fetched via a call to `ISVNOptions.getNativeCharset()`.

See Also:
  - Constant Field Values

### SCHEDULE_ADD

public static final String SCHEDULE_ADD
One of the three possible values of the `SCHEDULE` property - "add"

See Also:
  - Constant Field Values

### SCHEDULE_DELETE

public static final String SCHEDULE_DELETE
One of the three possible values of the `SCHEDULE` property - "delete"

See Also:
  - Constant Field Values

### SCHEDULE_REPLACE

public static final String SCHEDULE_REPLACE
One of the three possible values of the `SCHEDULE` property - "replace"

See Also:
  - Constant Field Values

### WORKING_SIZE_UNKNOWN

public static final long WORKING_SIZE_UNKNOWN
Default value of the `WORKING_SIZE` property.

Since:
  1.2.0, new in Subversion 1.5.0
See Also:
  - Constant Field Values

### BOOLEAN_PROPERTY_VALUE

public static final SVNPropertyValue BOOLEAN_PROPERTY_VALUE
Default value for such properties as `EXECUTABLE`, `NEEDS_LOCK`, `SPECIAL`. Used only by `SVNKit` internals, never stored in a working copy.

Since:
  1.2.0

## Constructor Details

### SVNProperty

public SVNProperty()

## Method Details

### isWorkingCopyProperty

public static boolean isWorkingCopyProperty(String name)
Says if the given property name starts with the `SVN_WC_PREFIX` prefix.

Parameters:
  `name` - a property name to check
Returns:
  true if `name` is not null and starts with the `SVN_WC_PREFIX` prefix, otherwise false

### isEntryProperty

public static boolean isEntryProperty(String name)
Says if the given property name starts with the `SVN_ENTRY_PREFIX` prefix.

Parameters:
  `name` - a property name to check
Returns:
  true if `name` is not null and starts with the `SVN_ENTRY_PREFIX` prefix, otherwise false

### isSVNProperty

public static boolean isSVNProperty(String name)
Says if the given property name starts with the `SVN_PREFIX` prefix or with the `SVNKIT_PREFIX`.

Parameters:
  `name` - a property name to check
Returns:
  true if `name` is not null and starts with the `SVN_PREFIX` prefix or with the `SVNKIT_PREFIX` prefix, otherwise false

### isSVNKitProperty

public static boolean isSVNKitProperty(String name)
Says if the given property name starts with the `SVNKIT_PREFIX`.

Parameters:
  `name` - a property name to check
Returns:
  true if `name` is not null and starts with the `SVNKIT_PREFIX` prefix, otherwise false

### isRegularProperty

public static boolean isRegularProperty(String name)
Checks if a property is regular.

A property is considered to be regular if it is not null and does not start neither with `SVN_WC_PREFIX` nor with `SVN_ENTRY_PREFIX`.

Parameters:
  `name` - a property name
Returns:
  true if regular, otherwise false

### isTextMimeType

public static boolean isTextMimeType(String mimeType)
Says if the given MIME-type corresponds to a text type.

Parameters:
  `mimeType` - a value of a file `MIME_TYPE` property
Returns:
  true if `mimeType` is either null or is a text type (starts with "text/")
See Also:
  - `isBinaryMimeType(String)`

### isBinaryMimeType

public static boolean isBinaryMimeType(String mimeType)
Says if the given MIME-type corresponds to a binary (non-textual) type.

Parameters:
  `mimeType` - a value of a file `MIME_TYPE` property
Returns:
  true if `mimeType` is not a text type
See Also:
  - `isTextMimeType(String)`

### isUTF8

public static boolean isUTF8(String charset)
Says if the given charset is the name of UTF-8 encoding.

Parameters:
  `charset` - a value of a file `CHARSET` property
Returns:
  true if `charset` is the name of UTF-8 encoding

### booleanValue

public static boolean booleanValue(String text)
Converts a string representation of a boolean value to boolean. Useful to convert values of the `COPIED` property.

Parameters:
  `text` - a string to convert to a boolean value
Returns:
  true if and only if `text` is not null and is equal, ignoring case, to the string "true"

### longValue

public static long longValue(String text)
Converts a string representation of a numeric value to a long value. Useful to convert revision numbers.

Parameters:
  `text` - a string to convert to a long value
Returns:
  a long representation of the given string; -1 is returned if the string can not be parsed

### toString

public static String toString(boolean b)
Converts a boolean value to a string representation. Useful to convert values of the `COPIED` property.

Parameters:
  `b` - a boolean value
Returns:
  a string representation of `b`

### toString

public static String toString(long i)
Converts a long value to a string representation. Useful to convert revision numbers.

Parameters:
  `i` - a long value
Returns:
  a string representation of `i`

### shortPropertyName

public static String shortPropertyName(String longName)
Returns a short name for the given property name - that is a name without any prefixes.

Parameters:
  `longName` - a property name
Returns:
  a property short name

### getValueOfBooleanProperty

public static SVNPropertyValue getValueOfBooleanProperty(String propName)
Returns the value for such boolean properties as "svn:executable", "svn:needs-lock" and "svn:special". Used by internals.

Parameters:
  `propName` - a property name
Returns:
  the property value "*", or null if the property is not boolean
Since:
  1.1
See Also:
  - `isBooleanProperty(String)`

### isBooleanProperty

public static boolean isBooleanProperty(String propName)
Checks whether the property is boolean.

Parameters:
  `propName` - a property name
Returns:
  true if boolean, otherwise false
Since:
  1.1

### addTextMimeType

public static void addTextMimeType(String textMimeType)
Adds custom mime-type value that should be considered as text. Otherwise only 'null' mime-types and those starting with 'text/' are considered as text.

### mimeTypeIsBinary

public static boolean mimeTypeIsBinary(String mimeType)

### getTextMimeTypes

public Set getTextMimeTypes()
Returns custom mime-types previously added.

### clearTextMimeTypes

public static void clearTextMimeTypes()
Clears custom mime-types previously added.